// A feldatokból választási lehetőség a feladatok neve szerint
function feladatvalaszt(feladattipus) {
  var szoveg = "<table border=0 cellpadding=2 cellspacing=2 class=keretnelkul width=680><tr><td class=a>\n";
  for (var i=0; i<feladatok.length; i++) {
    szoveg += "<img id='csont"+i+"' src='images/space.gif' width='21' height='15' border='0'>\n";
    szoveg += "<a href='"+feladattipus+"_kidolgozott.html?feladat="+i+"' class='feladatvalaszt' onMouseOver='csontkep(\"csont"+i+"\",1)' onMouseOut='csontkep(\"csont"+i+"\",0)'>"+feladatnev[i]+"</a><br>\n"; 
    // Ha 9-nél több kérdés kerül egy második oszlopban folytatjuk
    if (i == 8) {
      szoveg += "</td><td class=a>\n";
    }
  }
  szoveg += "</td></tr></table>\n";
  document.getElementById("feladatvalaszto").innerHTML = szoveg;
}


// kiválasztott feladat betoltese
function feladatbetolt() {
  var feladatszam = getparameter('feladat');  
  document.getElementById("feladat").innerHTML = feladatok[feladatszam];

}

// megoldás kiiratása
function megoldaskiir() {
  var feladatszam = getparameter('feladat');  
  // Ha a megoldások videokat is tartalmaznak pl. gyufás, akkor átméretezzük a megoldas keretét
  if (megoldasvideo.length>0) {
    document.getElementById("megoldas").style.top = '220';
    document.getElementById("megoldas").style.height = '240';
    document.getElementById("megoldas").style.width = '320';
    document.getElementById("megoldas").style.left = '200';
  }
  document.getElementById("megoldas").style.vidibility = 'visible';
  // ha van hozzátartozó video, akkor azt jelenítjük meg, egyébként a szöveges megoldást  
  if (megoldasvideo.length>0) {
    document.getElementById("megoldas").innerHTML = 
        megoldasvideo[feladatszam] != "" 
        ? video(megoldasvideo[feladatszam],320,240,'false','false') 
        : megoldas[feladatszam];
  }
  else document.getElementById("megoldas").innerHTML = megoldas[feladatszam];
}
